Loading...
Searching...
No Matches
mqtt::properties::const_iterator Class Reference

`#include <properties.h>`

## Public Member Functions

const property & | operator* () const
const_iterator | operator++ (int) noexcept
const_iterator & | operator++ () noexcept
bool | operator!= (const const_iterator &other) const noexcept

## Detailed Description

A const iterator for the properties list

## Member Function Documentation

## operator*()

const property & mqtt::properties::const_iterator::operator* | ( |  | ) | const

inline

Gets a reference to the current value.

Returns
  A reference to the current value.

## operator++() [1/2]

const_iterator mqtt::properties::const_iterator::operator++ | ( | int |  | ) |

inline noexcept

Postfix increment operator.

Returns
  An iterator pointing to the previous matching item.

## operator++() [2/2]

const_iterator & mqtt::properties::const_iterator::operator++ | ( |  | ) |

inline noexcept

Prefix increment operator.

Returns
  An iterator pointing to the next matching item.

## operator!=()

bool mqtt::properties::const_iterator::operator!= | ( | const const_iterator & | other | ) | const

inline noexcept

Compares two iterators to see if they don't refer to the same node.

Parameters

  other | The other iterator to compare against this one.

Returns
  true if they don't match, false if they do

The documentation for this class was generated from the following file:

- properties.h